Home Information Classes Download Usage Mail List Requirements Links FAQ Tutorial

# stk::Echo Class Reference

STK echo effect class. More...

`#include <Echo.h>`

Inheritance diagram for stk::Echo:

List of all members.

## Public Member Functions
| Echo (unsigned long maximumDelay=(unsigned long) Stk::sampleRate())
| Class constructor, taking the longest desired delay length (one second default value).
void | clear ()
| Reset and clear all internal state.
void | setMaximumDelay (unsigned long delay)
| Set the maximum delay line length in samples.
void | setDelay (unsigned long delay)
| Set the delay line length in samples.
StkFloat | lastOut (void) const
| Return the last computed output value.
StkFloat | tick (StkFloat input)
| Input one sample to the effect and return one output.
StkFrames & | tick (StkFrames &frames, unsigned int channel=0)
| Take a channel of the StkFrames object as inputs to the effect and replace with corresponding outputs.
StkFrames & | tick (StkFrames &iFrames, StkFrames &oFrames, unsigned int iChannel=0, unsigned int oChannel=0)
| Take a channel of the `iFrames` object as inputs to the effect and write outputs to the `oFrames` object.

## Detailed Description

STK echo effect class.

This class implements an echo effect.

by Perry R. Cook and Gary P. Scavone, 1995 - 2010.

## Constructor & Destructor Documentation

stk::Echo::Echo | ( | unsigned long | maximumDelay = `(unsigned long) Stk::sampleRate()` | ) |

Class constructor, taking the longest desired delay length (one second default value).

The default delay value is set to 1/2 the maximum delay length.

## Member Function Documentation

StkFrames & stk::Echo::tick | ( | StkFrames & | frames,
|  | unsigned int | channel = `0` |
| ) |  |  | `[inline]`

Take a channel of the StkFrames object as inputs to the effect and replace with corresponding outputs.

The StkFrames argument reference is returned. The `channel` argument must be less than the number of channels in the StkFrames argument (the first channel is specified by 0). However, range checking is only performed if _STK_DEBUG_ is defined during compilation, in which case an out-of-range value will trigger an StkError exception.

StkFrames & stk::Echo::tick | ( | StkFrames & | iFrames,
|  | StkFrames & | oFrames,
|  | unsigned int | iChannel = `0`,
|  | unsigned int | oChannel = `0` |
| ) |  |  | `[inline]`

Take a channel of the `iFrames` object as inputs to the effect and write outputs to the `oFrames` object.

The `iFrames` object reference is returned. Each channel argument must be less than the number of channels in the corresponding StkFrames argument (the first channel is specified by 0). However, range checking is only performed if _STK_DEBUG_ is defined during compilation, in which case an out-of-range value will trigger an StkError exception.

The documentation for this class was generated from the following file:

- Echo.h

The Synthesis ToolKit in C++ (STK)
©1995-2010 Perry R. Cook and Gary P. Scavone. All Rights Reserved.